Endpoints
The endpoint is the first of three path parameters. There are five valid endpoints: game, player, team, meta, and realtime events. Interstat queries are not case sensitive, but the system will convert all incoming codes to lowercase. Please note that some data is not included or available for all five sports and data services.
Adding minimize to the range parameters will strip out all data except for basic information and faster loading: game or player IDs, team codes, and names.
An asterisk (*) in the columns below indicate that the payload is hydrated with the specified node only when a single individual game (id), player (id) or team (code) record is requested.
game
| Node | * | Contents/Subnodes |
| games: | top level | |
| game_{id}: | id, gameday, starttime, status, visitor {id, team, team_fullname, code, score, apiurl, line...}, home {id, team, team_fullname, code, score, apiurl, line...}, winner {id, team, team_fullname, code, score}, loser {id, team, team_fullname, code, score}, score {visitor, home, overtime}, text {boxheader, boxscore, star}, venue {id, name, citystate, nation, longitude, latitude}, attendance, neutral [Y/null] | |
| players: | * | player_{id}: id, name, apiurl, team {id, name, code}, starter [Y/N] |
| stats: ‡ | * |
playerstatline_: statline_{id}: id, player, player_id, starter, team {id, name, code}, stats... teamstatline: statline_{id}: id, team {id, name, code}, stats... playbyplay: playbyplay_{id}: id, period, sequence, explanation, players {primary (id, name), secondary {id, name}, pitcher {id, name}}, team {id, name, code}, scoringplay [Y/N], tags lineups: ‡ lineup_{id}: id, teamid, teamcode, lineupplayers, players..., stats... |
| officials: | * | official_{id}: id, name |
| gametype: | * | series, seriesname, seriesgameno, seriesstatus, serieslastgame [Y/N] |
| forecast: † | * | elo {visitor {before, after, change, winexp}, home {before, after, change, winexp}, k, adjust, points}, moneyline {visitor {moneyline}, home {moneyline}, movement, drift, correct [Y/N]}, overunder {overunder, overunderresult [Over/Under]}, spread {spread, favourite, spreadcorrect [teamid]}, simulation {simfavourite [teamid], sim, simcorrect [Y/N]} |
| meta: | apiurl, siteurl, playerstatlines, playbyplay, pitches, weather |
† Adding forecast to the range parameters will hydrate a games: list with forecasting data (ELO, O/U, spread, simulated scorelines).
‡ Lineup data is only available for selected basketball services.
https://interst.at/game/nhl/1108365player
| Node | * | Contents/Subnodes |
| players: | top level | |
| player_{id}: | id, name, position, jersey, experience | |
| bio: | * | height_ftin, height_cm, weight_lbs, weight_kg, dateofbirth, hometown, nation, name {lastname, firstlast, lastfirst, firstlastcaps, lastfirstcaps, latcaps, capsbackwards} |
| seasons: | * | season_{year}: team {id, name, code, games, apiurl}, apiurl |
| stats: § | * |
playerstatline_: statline_{id}: id, player, player_id, starter, team {id, name, code}, stats... seasons: season_{year}: season, stats: {stat, label, value, rank} context: {stat}: stat, label, value pcr: ¶ season, efficiency, efficiencypoints, power, powerpoints, speedagility, speedagilitypoints, accuracy, accuracypoints, oppquality, oppqualitypoints, pcrpoints, pcradjsuted, pcrrank playbyplay: † playbyplay_{id}: id, period, sequence, explanation, players {primary (id, name), secondary {id, name}, pitcher {id, name}}, team {id, name, code}, scoringplay [Y/N], tags lineups: ‡ lineup_{id}: id, teamid, teamcode, lineupplayers, players..., stats... |
| meta: | apiurl, siteurl |
† Adding playbyplay to the range parameters will hydrate the games: node with play-by-play data.
‡ Adding lineups to the range parameters will hydrate the stats: node with lineup data. This is only available for selected basketball services.
§ The seasons: subnode contains full player season statistics. The context: subnode is populated with contextual player statistics, based on the range parameters provided. For example, using a Date Range will only return cumulative player stats from games that took place between those two dates. Using a Team Code will only return cumulative player stats from games against that team(s).
¶ This is National Statistical's player context rating. Please refer to the support documentation for information on how these ratings are calculated.
https://interst.at/player/mlb/4937team
| Node | * | Contents/Subnodes |
| teams: | top level | |
| team_{id}: | id, name, nickname, fullname, code, active [Y/N] | |
| seasons: | * | season_{year}: season, team {name, games}, apiurl |
| games: † | * | game_{id}: id, gameday, starttime, gameno, status, neutral, apiurl, visitor {id, team, team_fullname, abbrev, score, apiurl}, home {id, team, team_fullname, abbrev, score, apiurl} |
| record: | * | w, l, winpct, form, streak, last10w, last10l, homew, homel, roadw, roadl, elo: {value, rank, lastgame, lastgame_detail} |
| stats: § | * |
teamstatline: statline_{id}: id, date, season, type, game {id, apiurl}, opponent {id, name, code}, stats... playbyplay: † playbyplay_{id}: id, period, sequence, explanation, players {primary (id, name), secondary {id, name}, pitcher {id, name}}, team {id, name, code}, scoringplay [Y/N], tags seasons: season_{year}: season, stats: {stat, label, value, rank} context: {stat}: stat, label, value tcr: ¶ season, tcrpoints, tcradjusted, tcrrank, leaguefactor, winpct, winpctpoints, oppwinpct, oppwinpctpoints, oppoppwinpict, oppoppwinpctpoints, pythagwinpct, roadwinpct, roadwinpctpoints, efficiency, efficiencypoints, defensepoints, scoringbalance, scoringbalancepoints, luckpoints |
| meta: | apiurl, siteurl |
† Adding playbyplay to the range parameters will hydrate the games: node with play-by-play data.
§ The seasons: subnode contains full team season statistics. The context: subnode is populated with contextual team statistics, based on the range parameters provided. For example, using a Date Range will only return cumulative team stats from games that took place between those two dates.
¶ This is National Statistical's team context rating. Please refer to the support documentation for information on how these ratings are calculated.
https://interst.at/team/nba/atlevents
| Node | * | Contents/Subnodes |
| events: | top level | |
| event_{id}: | id, level, matchup, scoreline, status, priority [1-5], type, scoringplay [Y/N], description, explanation, season, datetime | |
| game: | id, gameday, visitor {id, name, code, score, apiurl}, home {id, name, code, score, apiurl}, apiurl | |
| team: | id, name, code, which [home/away], points, diff, apiurl | |
| player: | id, name, apiurl |
Please note that this endpoint only returns real-time events that have occurred in the past 24 hours.
Adding comma-separated scope(s) will limit the output to that or those data services. Real-time events are currently limited to the 13 data services across five sports listed directly below.
Adding a number between 1 and 5 as a range parameter will limit the response to that priority level and higher.
Basketball (NBA/GL/MBB/WBB/WNBA) — 2 - field goals · 3 - free throws · 4 - runs, lead changes · 5 - game start/end
Baseball (MLB/MiLB) — 1 - scoring plays · 2 - extra-base hits · 3 - hits, strikeouts · 4 - errors · 5 - game start/end
Hockey (NHL/MHK/WHK) — 1 - goals · 2 - penalties · 4 - saves · 5 - game start/end
World Football (FC) — 1 - goals · 2 - red cards · 3 - yellow cards · 5 - game start/end
American Football (PFB/CFB) — 1 - scoring plays · 2 - fumbles, interceptions · 3 - punts, turnovers on downs · 5 - game start/end
Adding a number between 5 and 5000 as a range parameter will limit the response to that many of the most recent events.
Adding a number above 5001 as a range parameter assumes a Game ID code, so as to limit the output to a single contest.
https://interst.at/eventsmeta
This endpoint returns high-level information about service status, directories of leagues or players or teams, and information on game-attached data like venues and officials. A full listing of meta range parameters, with corresponding sample URIs and downloadable payload samples, is available below.
https://interst.at/meta/allsports